API references
Merchant API

Find a virtual account

Retrieves a specific virtual account by its unique identifier.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-virtual-account HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
virtual_account_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
virtual_account_id string

Required. The unique identifier of the virtual account to retrieve (starting with 'va_').

Response attributes
Attribute Description
virtual_account_id
string

Always present. The ID of the virtual account.

state
string

Always present. The current state of the virtual account.

Possible values:
  • pending
  • opening
  • active
  • closing
  • failed
  • closed
number
string

Nullable. The bank-assigned virtual account number. Null until the account is opened.

bank_name
string

Always present. The display name of the sponsoring bank for the virtual account (e.g., 'CIMB').

display_name
string

Always present. The virtual account display name registered with the bank.

currency
string

Always present. The 3-letter ISO currency code (e.g., 'THB').

created_at
number

Always present. The creation timestamp (Unix timestamp).

Errors specific to this endpoint
NOT_FOUND

This error occurs when no virtual account with the provided ID exists in your merchant account. Double check that you're using the correct virtual account ID.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/find-virtual-account" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "virtual_account_id": "va_U4vfjCFwwK"
      }'
Learn how to run these code samples in your terminal by reading our guide.